Subject: Re: bug#34765: 26.1; with-temp-buffer should not run buffer-list-update-hook

From: Eli Zaretskii <[email-masked]>
Date: Thu, 25 Apr 2019 11:50:57 +0300

> Cc: [email-masked], [email-masked], [email-masked]
> From: martin rudalics <[email-masked]>
> Date: Thu, 25 Apr 2019 10:06:18 +0200
> 
>  > I meant to suggest that get-buffer-create sets this flag when the name
>  > of the buffer fits the template of temporary buffers.  Exactly like it
>  > does for code-conversion buffers now.
> 
> We don't have a "template of temporary buffers".

Of course we do: with-temp-buffer produces buffer names that follow
such a template.

> For example, a buffer specified by the BUFNAME arg of
> 'with-output-to-temp-buffer' should not match such a template.

Such buffers should not necessarily be exempt from running the hooks,
AFAIU.  In any case, one can always bind the hook locally to nil in
the body of the macro, right?

> But I'd favor a solution that skips all buffers whose name starts
> with a space as we do for 'other-buffer' or 'unbury-buffer'.

I think this is too drastic a measure.  We should only disable the
hooks in buffers where no one in their right minds will ever want to
run them.